Wt: Wt::Http::WtClient Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions
Wt::Http::WtClient Class Reference
HTTP protocol (Wt::Http)

Support for a Wt web application client. More...

`#include <Wt/Http/WtClient>`

List of all members.

## Public Types
enum | ClientOption { SupportsAjax = 0x1 }
| Enumeration for client user-agent options. More...
## Static Public Member Functions
static void | startWtSession (const std::string &host, const std::string &port, const std::string &path, const std::string &query=std::string(), WFlags< ClientOption > flags=SupportsAjax)
| Starts a Wt session.

## Detailed Description

Support for a Wt web application client.

Note:
  This class provides a utility to bootstrap a Wt session, but does not deal with new developments related to the bootstrap procedure such as progressive bootstrap.

## Member Enumeration Documentation

enum Wt::Http::WtClient::ClientOption

Enumeration for client user-agent options.

Enumerator:

  SupportsAjax | Flag that indicates supports for AJAX.

## Member Function Documentation

void Wt::Http::WtClient::startWtSession | ( | const std::string & | host,
|  | const std::string & | port,
|  | const std::string & | path,
|  | const std::string & | query = `std::string()`,
|  | WFlags< ClientOption > | flags = `SupportsAjax`
| ) |  | `[static]`

Starts a Wt session.

A Wt application uses a bootstrap procedure during which it collects information on user agent capabilities (unless the progressive bootstrap method is enabled). Therefore a session is not spawned after the first request, but only after these capabilities have been collected by a second request.

This function starts a session on the specific `host`, `port`, `path`, and optional `query`. These correspond to the different parts of a url:

`http://`host`:`port/path`?``query`.

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator